From 6cbba681d2513d1d634285e1e96b0495a7c8a535 Mon Sep 17 00:00:00 2001
From: Adam Young <ayoung@redhat.com>
Date: Mon, 17 Oct 2011 22:20:12 -0400
Subject: [PATCH] code cleanup com.netscape.cmsutil dead code removal removed
 unused imports import cleanup added explict generated
 serial version id static members accessed staticall removed
 unused fields, methods, variables
 https://bugzilla.redhat.com/show_bug.cgi?id=728303

---
 .../com/netscape/cmsutil/crypto/CryptoUtil.java    |  216 ++++++++++++--------
 .../src/com/netscape/cmsutil/crypto/Module.java    |    4 +-
 .../src/com/netscape/cmsutil/crypto/Token.java     |    4 +-
 .../com/netscape/cmsutil/http/ConnectAsync.java    |   10 +-
 .../src/com/netscape/cmsutil/http/HttpClient.java  |   16 +-
 .../netscape/cmsutil/http/HttpEofException.java    |    2 +
 .../src/com/netscape/cmsutil/http/HttpMessage.java |    6 +-
 .../cmsutil/http/HttpProtocolException.java        |    2 +
 .../src/com/netscape/cmsutil/http/HttpRequest.java |   14 +-
 .../com/netscape/cmsutil/http/HttpResponse.java    |    6 +-
 .../netscape/cmsutil/http/JssSSLSocketFactory.java |   29 ++--
 .../src/com/netscape/cmsutil/ldap/LDAPUtil.java    |   16 ++-
 .../com/netscape/cmsutil/net/ISocketFactory.java   |    6 +-
 .../netscape/cmsutil/ocsp/BasicOCSPResponse.java   |   30 ++-
 .../util/src/com/netscape/cmsutil/ocsp/CertID.java |   26 ++-
 .../src/com/netscape/cmsutil/ocsp/CertStatus.java  |    5 +-
 .../src/com/netscape/cmsutil/ocsp/GoodInfo.java    |   20 ++-
 .../src/com/netscape/cmsutil/ocsp/KeyHashID.java   |   19 ++-
 .../util/src/com/netscape/cmsutil/ocsp/NameID.java |   17 +-
 .../src/com/netscape/cmsutil/ocsp/OCSPRequest.java |   25 ++-
 .../com/netscape/cmsutil/ocsp/OCSPResponse.java    |   25 ++-
 .../netscape/cmsutil/ocsp/OCSPResponseStatus.java  |   24 ++-
 .../src/com/netscape/cmsutil/ocsp/Request.java     |   25 ++-
 .../src/com/netscape/cmsutil/ocsp/ResponderID.java |    4 +-
 .../src/com/netscape/cmsutil/ocsp/Response.java    |    4 +-
 .../com/netscape/cmsutil/ocsp/ResponseBytes.java   |   26 ++-
 .../com/netscape/cmsutil/ocsp/ResponseData.java    |   35 ++--
 .../src/com/netscape/cmsutil/ocsp/RevokedInfo.java |   20 ++-
 .../src/com/netscape/cmsutil/ocsp/Signature.java   |   28 ++-
 .../com/netscape/cmsutil/ocsp/SingleResponse.java  |   22 ++-
 .../src/com/netscape/cmsutil/ocsp/TBSRequest.java  |   31 ++-
 .../src/com/netscape/cmsutil/ocsp/UnknownInfo.java |   23 ++-
 .../netscape/cmsutil/password/IPasswordReader.java |    4 +-
 .../netscape/cmsutil/password/IPasswordStore.java  |    4 +-
 .../netscape/cmsutil/password/IPasswordWriter.java |    3 +-
 .../cmsutil/password/PlainPasswordFile.java        |   10 +-
 .../cmsutil/password/PlainPasswordReader.java      |    7 +-
 .../cmsutil/password/PlainPasswordWriter.java      |    7 +-
 .../com/netscape/cmsutil/radius/AccessAccept.java  |    6 +-
 .../netscape/cmsutil/radius/AccessChallenge.java   |    6 +-
 .../com/netscape/cmsutil/radius/AccessReject.java  |    6 +-
 .../com/netscape/cmsutil/radius/AccessRequest.java |    7 +-
 .../src/com/netscape/cmsutil/radius/Attribute.java |    7 +-
 .../netscape/cmsutil/radius/AttributeFactory.java  |    6 +-
 .../com/netscape/cmsutil/radius/AttributeSet.java  |    7 +-
 .../com/netscape/cmsutil/radius/Authenticator.java |    6 +-
 .../cmsutil/radius/CHAPChallengeAttribute.java     |    8 +-
 .../cmsutil/radius/CHAPPasswordAttribute.java      |   10 +-
 .../cmsutil/radius/CallbackIdAttribute.java        |   10 +-
 .../cmsutil/radius/CallbackNumberAttribute.java    |   10 +-
 .../cmsutil/radius/CallerStationIdAttribute.java   |   10 +-
 .../cmsutil/radius/CallingStationIdAttribute.java  |   10 +-
 .../cmsutil/radius/ChallengeException.java         |    7 +-
 .../netscape/cmsutil/radius/FilterIdAttribute.java |   10 +-
 .../radius/FramedAppleTalkLinkAttribute.java       |   10 +-
 .../radius/FramedAppleTalkNetworkAttribute.java    |   10 +-
 .../radius/FramedAppleTalkZoneAttribute.java       |   10 +-
 .../cmsutil/radius/FramedCompressionAttribute.java |   10 +-
 .../cmsutil/radius/FramedIPAddressAttribute.java   |   12 +-
 .../cmsutil/radius/FramedIPNetmaskAttribute.java   |   10 +-
 .../cmsutil/radius/FramedIPXNetworkAttribute.java  |   10 +-
 .../cmsutil/radius/FramedMTUAttribute.java         |   10 +-
 .../cmsutil/radius/FramedProtocolAttribute.java    |   10 +-
 .../cmsutil/radius/FramedRouteAttribute.java       |   10 +-
 .../cmsutil/radius/FramedRoutingAttribute.java     |   10 +-
 .../netscape/cmsutil/radius/GenericAttribute.java  |    6 +-
 .../cmsutil/radius/IdleTimeoutAttribute.java       |   10 +-
 .../cmsutil/radius/LoginIPHostAttribute.java       |   10 +-
 .../cmsutil/radius/LoginLATGroupAttribute.java     |   10 +-
 .../cmsutil/radius/LoginLATNodeAttribute.java      |   10 +-
 .../cmsutil/radius/LoginLATPortAttribute.java      |   10 +-
 .../cmsutil/radius/LoginLATServiceAttribute.java   |   10 +-
 .../cmsutil/radius/LoginServiceAttribute.java      |   10 +-
 .../cmsutil/radius/LoginTCPPortAttribute.java      |   10 +-
 .../netscape/cmsutil/radius/NASClassAttribute.java |   10 +-
 .../cmsutil/radius/NASIPAddressAttribute.java      |   14 +-
 .../cmsutil/radius/NASIdentifierAttribute.java     |   10 +-
 .../src/com/netscape/cmsutil/radius/NASPacket.java |    9 +-
 .../netscape/cmsutil/radius/NASPortAttribute.java  |   10 +-
 .../cmsutil/radius/NASPortTypeAttribute.java       |    8 +-
 .../src/com/netscape/cmsutil/radius/Packet.java    |    5 -
 .../com/netscape/cmsutil/radius/PacketFactory.java |    6 +-
 .../cmsutil/radius/PortLimitAttribute.java         |   11 +-
 .../cmsutil/radius/ProxyStateAttribute.java        |   10 +-
 .../com/netscape/cmsutil/radius/RadiusConn.java    |   20 +-
 .../netscape/cmsutil/radius/RejectException.java   |    6 +-
 .../cmsutil/radius/ReplyMessageAttribute.java      |   10 +-
 .../cmsutil/radius/RequestAuthenticator.java       |    9 +-
 .../cmsutil/radius/ResponseAuthenticator.java      |    6 +-
 .../com/netscape/cmsutil/radius/ServerPacket.java  |    6 +-
 .../cmsutil/radius/ServiceTypeAttribute.java       |   10 +-
 .../cmsutil/radius/SessionTimeoutAttribute.java    |   10 +-
 .../netscape/cmsutil/radius/StateAttribute.java    |   12 +-
 .../cmsutil/radius/TerminationActionAttribute.java |   10 +-
 .../netscape/cmsutil/radius/UserNameAttribute.java |   10 +-
 .../cmsutil/radius/UserPasswordAttribute.java      |   10 +-
 .../cmsutil/radius/VendorSpecificAttribute.java    |   10 +-
 .../com/netscape/cmsutil/scep/CRSPKIMessage.java   |  136 +++++++------
 .../util/src/com/netscape/cmsutil/util/Cert.java   |   29 ++--
 .../util/src/com/netscape/cmsutil/util/Fmt.java    |  130 ++++++------
 .../src/com/netscape/cmsutil/util/HMACDigest.java  |   23 +-
 .../util/src/com/netscape/cmsutil/util/Utils.java  |   31 ++-
 .../src/com/netscape/cmsutil/xml/XMLObject.java    |   36 +++-
 103 files changed, 816 insertions(+), 890 deletions(-)

diff --git a/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java b/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
index 0083dc92da506cc319e82a2d88d998cd541b00ce..427fd017b324032f908b2009d527dfbab6732d81 100644
--- a/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
+++ b/pki/base/util/src/com/netscape/cmsutil/crypto/CryptoUtil.java
@@ -18,44 +18,84 @@
 package com.netscape.cmsutil.crypto;
 
 
-import java.net.*;
-import java.io.*;
-import java.util.*;
-import java.text.*;
-import java.math.*;
-
-import java.security.*;
-import java.security.cert.CertificateException;
-import java.security.cert.CertificateEncodingException;
+import java.io.ByteArrayInputStream;
+import java.io.ByteArrayOutputStream;
+import java.io.CharConversionException;
+import java.io.FilterOutputStream;
+import java.io.IOException;
+import java.io.PrintStream;
+import java.math.BigInteger;
+import java.security.InvalidKeyException;
+import java.security.KeyPair;
 import java.security.NoSuchAlgorithmException;
-import java.security.interfaces.RSAPublicKey;
-import java.security.interfaces.DSAPublicKey;
+import java.security.NoSuchProviderException;
+import java.security.PublicKey;
+import java.security.SignatureException;
+import java.security.cert.CertificateEncodingException;
+import java.security.cert.CertificateException;
 import java.security.interfaces.DSAParams;
-import java.security.cert.*;
+import java.security.interfaces.DSAPublicKey;
+import java.security.interfaces.RSAPublicKey;
+import java.util.Date;
+import java.util.Enumeration;
+import java.util.StringTokenizer;
+import java.util.Vector;
 
-//import sun.misc.BASE64Encoder;
-//import sun.misc.BASE64Decoder;
-import org.mozilla.jss.*;
-import org.mozilla.jss.asn1.*;
-import org.mozilla.jss.util.*;
-import org.mozilla.jss.pkix.primitive.*;
-import org.mozilla.jss.pkix.crmf.*;
-import org.mozilla.jss.pkcs7.ContentInfo;
-import org.mozilla.jss.pkcs7.*;
-import org.mozilla.jss.pkcs11.*;
-import org.mozilla.jss.pkcs11.PK11KeyPairGenerator;
-import org.mozilla.jss.crypto.*;
+import netscape.security.pkcs.PKCS10;
+import netscape.security.pkcs.PKCS7;
+import netscape.security.util.BigInt;
+import netscape.security.util.DerInputStream;
+import netscape.security.util.DerOutputStream;
+import netscape.security.util.DerValue;
+import netscape.security.util.ObjectIdentifier;
+import netscape.security.x509.AlgorithmId;
+import netscape.security.x509.CertificateAlgorithmId;
+import netscape.security.x509.CertificateChain;
+import netscape.security.x509.CertificateExtensions;
+import netscape.security.x509.CertificateIssuerName;
+import netscape.security.x509.CertificateSerialNumber;
+import netscape.security.x509.CertificateSubjectName;
+import netscape.security.x509.CertificateValidity;
+import netscape.security.x509.CertificateVersion;
+import netscape.security.x509.CertificateX509Key;
+import netscape.security.x509.X500Name;
+import netscape.security.x509.X500Signer;
+import netscape.security.x509.X509CertImpl;
+import netscape.security.x509.X509CertInfo;
+import netscape.security.x509.X509Key;
+
+import org.mozilla.jss.CryptoManager;
+import org.mozilla.jss.NoSuchTokenException;
+import org.mozilla.jss.asn1.ASN1Util;
+import org.mozilla.jss.asn1.InvalidBERException;
+import org.mozilla.jss.asn1.OBJECT_IDENTIFIER;
+import org.mozilla.jss.asn1.SEQUENCE;
+import org.mozilla.jss.crypto.Algorithm;
+import org.mozilla.jss.crypto.CryptoStore;
+import org.mozilla.jss.crypto.CryptoToken;
+import org.mozilla.jss.crypto.DigestAlgorithm;
+import org.mozilla.jss.crypto.InternalCertificate;
+import org.mozilla.jss.crypto.InvalidKeyFormatException;
+import org.mozilla.jss.crypto.KeyGenAlgorithm;
+import org.mozilla.jss.crypto.KeyGenerator;
+import org.mozilla.jss.crypto.KeyPairAlgorithm;
 import org.mozilla.jss.crypto.KeyPairGenerator;
+import org.mozilla.jss.crypto.NoSuchItemOnTokenException;
+import org.mozilla.jss.crypto.ObjectNotFoundException;
 import org.mozilla.jss.crypto.PrivateKey;
 import org.mozilla.jss.crypto.Signature;
+import org.mozilla.jss.crypto.SignatureAlgorithm;
+import org.mozilla.jss.crypto.SymmetricKey;
+import org.mozilla.jss.crypto.TokenException;
 import org.mozilla.jss.crypto.X509Certificate;
+import org.mozilla.jss.pkix.crmf.CertReqMsg;
+import org.mozilla.jss.pkix.crmf.CertRequest;
+import org.mozilla.jss.pkix.crmf.CertTemplate;
+import org.mozilla.jss.pkix.primitive.Name;
+import org.mozilla.jss.pkix.primitive.SubjectPublicKeyInfo;
 import org.mozilla.jss.util.Base64OutputStream;
 
-import netscape.security.util.*;
-import netscape.security.pkcs.*;
-import netscape.security.x509.*;
 import com.netscape.cmsutil.util.Cert;
-
 import com.netscape.osutil.OSUtil;
 
 public class CryptoUtil {
@@ -123,7 +163,7 @@ public class CryptoUtil {
                 NoSuchTokenException,
                 NoSuchAlgorithmException,
                 TokenException {
-        CryptoToken t = getTokenByName(token);
+        CryptoToken t = CryptoUtil.getTokenByName(token);
         KeyPairGenerator g = t.getKeyPairGenerator(KeyPairAlgorithm.RSA);
 
         g.initialize(keysize);
@@ -150,7 +190,7 @@ public class CryptoUtil {
                 NoSuchTokenException,
                 NoSuchAlgorithmException,
                 TokenException {
-        return generateECCKeyPair(token, keysize, null, null);
+        return CryptoUtil.generateECCKeyPair(token, keysize, null, null);
     }
 
     public static KeyPair generateECCKeyPair(String token, int keysize,
@@ -160,7 +200,7 @@ public class CryptoUtil {
                 NoSuchTokenException,
                 NoSuchAlgorithmException,
                 TokenException {
-        CryptoToken t = getTokenByName(token);
+        CryptoToken t = CryptoUtil.getTokenByName(token);
 
         KeyPairAlgorithm alg = KeyPairAlgorithm.EC;
         KeyPairGenerator g = t.getKeyPairGenerator(alg);
@@ -181,7 +221,7 @@ public class CryptoUtil {
                 NoSuchTokenException,
                 NoSuchAlgorithmException,
                 TokenException {
-        return generateECCKeyPair(token, curveName, null, null);
+        return CryptoUtil.generateECCKeyPair(token, curveName, null, null);
     }
 
     public static KeyPair generateECCKeyPair(CryptoToken token, String curveName)
@@ -189,7 +229,7 @@ public class CryptoUtil {
                 NoSuchTokenException,
                 NoSuchAlgorithmException,
                 TokenException {
-        return generateECCKeyPair(token, curveName, null, null);
+        return CryptoUtil.generateECCKeyPair(token, curveName, null, null);
     }
 
     public static KeyPair generateECCKeyPair(String token, String curveName,
@@ -199,8 +239,8 @@ public class CryptoUtil {
                 NoSuchTokenException,
                 NoSuchAlgorithmException,
                 TokenException {
-        CryptoToken t = getTokenByName(token);
-        return generateECCKeyPair(t, curveName, usage_ops, usage_mask);
+        CryptoToken t = CryptoUtil.getTokenByName(token);
+        return CryptoUtil.generateECCKeyPair(t, curveName, usage_ops, usage_mask);
     }
 
     public static KeyPair generateECCKeyPair(CryptoToken token, String curveName,
@@ -271,20 +311,18 @@ public class CryptoUtil {
      * formats a cert request
      */
     public static String reqFormat(String content) {
-        int beginIndex = CERTREQ_BEGIN_HEADING.length();
-        int endIndex = CERTREQ_END_HEADING.length();
+        CryptoUtil.CERTREQ_BEGIN_HEADING.length();
+        CryptoUtil.CERTREQ_END_HEADING.length();
                                                                                 
-        String result = CERTREQ_BEGIN_HEADING + "\n";
-        int index = 0;
-                                                                                
-        while (content.length() >= LINE_COUNT) {
-            result = result + content.substring(0, LINE_COUNT) + "\n";
-            content = content.substring(LINE_COUNT);
+        String result = CryptoUtil.CERTREQ_BEGIN_HEADING + "\n";
+        while (content.length() >= CryptoUtil.LINE_COUNT) {
+            result = result + content.substring(0, CryptoUtil.LINE_COUNT) + "\n";
+            content = content.substring(CryptoUtil.LINE_COUNT);
         }
         if (content.length() > 0) {
-            result = result + content + "\n" + CERTREQ_END_HEADING;
+            result = result + content + "\n" + CryptoUtil.CERTREQ_END_HEADING;
         } else {
-            result = result + CERTREQ_END_HEADING;
+            result = result + CryptoUtil.CERTREQ_END_HEADING;
         }
                                                                                 
         return result;
@@ -301,9 +339,9 @@ public class CryptoUtil {
                      CryptoManager.NotInitializedException,
                      NoSuchAlgorithmException
     {
-        X509Key x509key = getPublicX509Key(modulus, exponent);
-        PrivateKey prik = findPrivateKeyFromID(prikdata);
-        PKCS10 pkcs10 = createCertificationRequest(dn, x509key, prik);
+        X509Key x509key = CryptoUtil.getPublicX509Key(modulus, exponent);
+        PrivateKey prik = CryptoUtil.findPrivateKeyFromID(prikdata);
+        PKCS10 pkcs10 = CryptoUtil.createCertificationRequest(dn, x509key, prik);
         ByteArrayOutputStream bs = new ByteArrayOutputStream();
         PrintStream ps = new PrintStream(bs);
         pkcs10.print(ps);
@@ -321,9 +359,9 @@ public class CryptoUtil {
                      CryptoManager.NotInitializedException,
                      NoSuchAlgorithmException
     {
-        X509Key x509key = getPublicX509Key(modulus, exponent);
-        PrivateKey prik = findPrivateKeyFromID(prikdata);
-        PKCS10 pkcs10 = createCertificationRequest(dn, x509key, prik, alg);
+        X509Key x509key = CryptoUtil.getPublicX509Key(modulus, exponent);
+        PrivateKey prik = CryptoUtil.findPrivateKeyFromID(prikdata);
+        PKCS10 pkcs10 = CryptoUtil.createCertificationRequest(dn, x509key, prik, alg);
         ByteArrayOutputStream bs = new ByteArrayOutputStream();
         PrintStream ps = new PrintStream(bs);
         pkcs10.print(ps);
@@ -337,20 +375,18 @@ public class CryptoUtil {
         if (content == null || content.length() == 0) {
             return "";
         }
-        int beginIndex = CERT_BEGIN_HEADING.length();
-        int endIndex = CERT_END_HEADING.length();
+        CryptoUtil.CERT_BEGIN_HEADING.length();
+        CryptoUtil.CERT_END_HEADING.length();
                                                                                 
-        String result = CERT_BEGIN_HEADING + "\n";
-        int index = 0;
-                                                                                
-        while (content.length() >= LINE_COUNT) {
-            result = result + content.substring(0, LINE_COUNT) + "\n";
-            content = content.substring(LINE_COUNT);
+        String result = CryptoUtil.CERT_BEGIN_HEADING + "\n";
+        while (content.length() >= CryptoUtil.LINE_COUNT) {
+            result = result + content.substring(0, CryptoUtil.LINE_COUNT) + "\n";
+            content = content.substring(CryptoUtil.LINE_COUNT);
         }
         if (content.length() > 0) {
-            result = result + content + "\n" + CERT_END_HEADING;
+            result = result + content + "\n" + CryptoUtil.CERT_END_HEADING;
         } else {
-            result = result + CERT_END_HEADING;
+            result = result + CryptoUtil.CERT_END_HEADING;
         }
                                                                                 
         return result;
@@ -367,7 +403,7 @@ public class CryptoUtil {
             return s;
         }
                                                                                 
-        if (s.startsWith(CERT_BEGIN_HEADING) && s.endsWith(CERT_END_HEADING)) {
+        if (s.startsWith(CryptoUtil.CERT_BEGIN_HEADING) && s.endsWith(CryptoUtil.CERT_END_HEADING)) {
             return (s.substring(27, (s.length() - 25)));
         }
                                                                                 
@@ -446,7 +482,7 @@ public class CryptoUtil {
                     CertificateEncodingException,
                     CertificateException
     {
-        byte[] blah = base64Decode(certchain);
+        byte[] blah = CryptoUtil.base64Decode(certchain);
         CryptoManager manager = CryptoManager.getInstance();
         PKCS7 pkcs7 = null;
         try {  
@@ -505,7 +541,7 @@ public class CryptoUtil {
         CertTemplate certTemplate = certreq.getCertTemplate();
         SubjectPublicKeyInfo spkinfo = certTemplate.getPublicKey();
         PublicKey pkey = spkinfo.toPublicKey();
-        X509Key x509key = convertPublicKeyToX509Key(pkey);
+        X509Key x509key = CryptoUtil.convertPublicKeyToX509Key(pkey);
         return x509key;
     }
 
@@ -572,7 +608,7 @@ public class CryptoUtil {
         throws IOException, 
                 CertificateException, 
                 InvalidKeyException {
-        return createX509CertInfo(convertPublicKeyToX509Key(pair.getPublic()), 
+        return CryptoUtil.createX509CertInfo(CryptoUtil.convertPublicKeyToX509Key(pair.getPublic()), 
                 serialno, issuername, subjname, notBefore, notAfter);
     }
 
@@ -582,7 +618,7 @@ public class CryptoUtil {
         throws IOException, 
                 CertificateException, 
                 InvalidKeyException {
-        return createX509CertInfo(convertPublicKeyToX509Key(publickey), serialno,
+        return CryptoUtil.createX509CertInfo(CryptoUtil.convertPublicKeyToX509Key(publickey), serialno,
                 issuername, subjname, notBefore, notAfter);
     }
 
@@ -595,7 +631,7 @@ public class CryptoUtil {
         // set default; use the other call with "alg" to set algorithm
         String alg = "SHA256withRSA";
         try {
-        return createX509CertInfo (x509key, serialno, issuername, subjname, notBefore, notAfter, alg);
+        return CryptoUtil.createX509CertInfo (x509key, serialno, issuername, subjname, notBefore, notAfter, alg);
         } catch (NoSuchAlgorithmException ex) {
           // for those that calls the old call without alg
           throw new CertificateException("createX509CertInfo old call should not be here");
@@ -621,10 +657,10 @@ public class CryptoUtil {
                 CertificateSubjectName(new X500Name(subjname)));
         info.set(X509CertInfo.VALIDITY, new
                 CertificateValidity(notBefore, notAfter));
-        AlgorithmId sigAlgId = new AlgorithmId();
+        new AlgorithmId();
 
         info.set(X509CertInfo.ALGORITHM_ID, new
-                CertificateAlgorithmId(sigAlgId.get(alg)));
+                CertificateAlgorithmId(AlgorithmId.get(alg)));
         info.set(X509CertInfo.KEY, new CertificateX509Key(x509key));
         info.set(X509CertInfo.EXTENSIONS, new CertificateExtensions());
         return info;
@@ -645,7 +681,7 @@ public class CryptoUtil {
     {
         // set default; use the other call with "alg" to specify algorithm
         String alg = "SHA256withEC";
-        return signECCCert(privateKey, certInfo, alg);
+        return CryptoUtil.signECCCert(privateKey, certInfo, alg);
     }
 
     public static X509CertImpl signECCCert(PrivateKey privateKey, 
@@ -660,7 +696,7 @@ public class CryptoUtil {
                 IOException,
                 CertificateException
     {
-       return signCert(privateKey, certInfo, 
+       return CryptoUtil.signCert(privateKey, certInfo, 
                 Cert.mapAlgorithmToJss(alg));
     }
 
@@ -678,7 +714,7 @@ public class CryptoUtil {
                 SignatureException,
                 IOException,
                 CertificateException {
-        return signCert (privateKey, certInfo,
+        return CryptoUtil.signCert (privateKey, certInfo,
                  Cert.mapAlgorithmToJss(alg));
     }
 
@@ -701,7 +737,7 @@ public class CryptoUtil {
                new CertificateAlgorithmId(aid));
                                                                                 
         org.mozilla.jss.crypto.PrivateKey priKey = 
-              (org.mozilla.jss.crypto.PrivateKey) privateKey;
+              privateKey;
         CryptoToken token = priKey.getOwningToken();
                                                                                 
         DerOutputStream tmp = new DerOutputStream();
@@ -732,10 +768,10 @@ public class CryptoUtil {
                 SignatureException {
         // give default
         String alg = "SHA256withRSA";
-        if (isECCKey(pubk)) {
+        if (CryptoUtil.isECCKey(pubk)) {
           alg = "SHA256withEC";
         }
-        return createCertificationRequest(subjectName, pubk, prik, alg);
+        return CryptoUtil.createCertificationRequest(subjectName, pubk, prik, alg);
     }
 
     public static PKCS10 createCertificationRequest(String subjectName,
@@ -766,16 +802,16 @@ public class CryptoUtil {
                 SignatureException {
         String alg;
         PublicKey pubk = keyPair.getPublic();
-        X509Key key = convertPublicKeyToX509Key(pubk);
+        X509Key key = CryptoUtil.convertPublicKeyToX509Key(pubk);
         if (pubk instanceof RSAPublicKey) {
             alg = "SHA256withRSA";
-        } else if (isECCKey(key)) {
+        } else if (CryptoUtil.isECCKey(key)) {
             alg = "SHA256withEC";
         } else {
             // Assert.assert(pubk instanceof DSAPublicKey);
             alg = "DSA";
         }
-        return createCertificationRequest(subjectName,keyPair, alg);
+        return CryptoUtil.createCertificationRequest(subjectName,keyPair, alg);
     }
 
     public static PKCS10 createCertificationRequest(String subjectName,
@@ -784,7 +820,7 @@ public class CryptoUtil {
                 InvalidKeyException, IOException, CertificateException,
                 SignatureException {
         PublicKey pubk = keyPair.getPublic();
-        X509Key key = convertPublicKeyToX509Key(pubk);
+        X509Key key = CryptoUtil.convertPublicKeyToX509Key(pubk);
                                                                                 
         java.security.Signature sig = java.security.Signature.getInstance(alg,
                 "Mozilla-JSS");
@@ -822,7 +858,7 @@ public class CryptoUtil {
             return;
         }
         for (int i = 0; i < certs.length; i++) {
-            trustCert((InternalCertificate) certs[i]);
+            CryptoUtil.trustCert((InternalCertificate) certs[i]);
         }
     }
 
@@ -844,8 +880,8 @@ public class CryptoUtil {
      * what we referring.
      */
     public static boolean isCertTrusted(InternalCertificate cert) {
-        if (isTrust(cert.getSSLTrust()) && isTrust(cert.getObjectSigningTrust())
-                && isTrust(cert.getEmailTrust())) {
+        if (CryptoUtil.isTrust(cert.getSSLTrust()) && CryptoUtil.isTrust(cert.getObjectSigningTrust())
+                && CryptoUtil.isTrust(cert.getEmailTrust())) {
             return true;
         } else {
             return false;
@@ -920,13 +956,13 @@ public class CryptoUtil {
 
         while (enums.hasMoreElements()) {
             CryptoToken token = (CryptoToken) enums.nextElement();
-            String tokenName = token.getName();
+            token.getName();
             CryptoStore store = token.getCryptoStore();
             PrivateKey keys[] = store.getPrivateKeys(); 
 
             if (keys != null) {
                 for (int i = 0; i < keys.length; i++) {
-                    if (compare(keys[i].getUniqueID(), id)) {
+                    if (CryptoUtil.compare(keys[i].getUniqueID(), id)) {
                         return keys[i];
                     }
                 }
@@ -947,14 +983,14 @@ public class CryptoUtil {
 
         while (enums.hasMoreElements()) {
             CryptoToken token = (CryptoToken) enums.nextElement();
-            String tokenName = token.getName();
+            token.getName();
                                                                                 
             CryptoStore store = token.getCryptoStore();
             org.mozilla.jss.crypto.X509Certificate list[] = store.getCertificates();
                                                                                
             for (int i = 0; i < list.length; i++) {
                 try {
-                    PrivateKey key = cm.findPrivKeyByCert(list[i]);
+                    cm.findPrivKeyByCert(list[i]);
                     X509CertImpl impl = null;
 
                     try {
@@ -985,7 +1021,7 @@ public class CryptoUtil {
      */
     public static void deletePrivateKey(PrivateKey prikey)
         throws CryptoManager.NotInitializedException, TokenException {
-        CryptoManager cm = CryptoManager.getInstance();
+        CryptoManager.getInstance();
 
         try {
             CryptoToken token = prikey.getOwningToken();
@@ -1049,7 +1085,7 @@ public class CryptoUtil {
         CryptoManager cm = CryptoManager.getInstance();
         X509Certificate cert = cm.importCertPackage(c.getBytes(), nickname);
 
-        trustCertByNickname(nickname);
+        CryptoUtil.trustCertByNickname(nickname);
         return cert;
     }
 
@@ -1066,7 +1102,7 @@ public class CryptoUtil {
         CryptoManager cm = CryptoManager.getInstance();
 
         cm.importUserCACertPackage(cert.getEncoded(), nickname);
-        trustCertByNickname(nickname);
+        CryptoUtil.trustCertByNickname(nickname);
     }
 
     public static void importUserCertificate(X509CertImpl cert, String nickname,
@@ -1081,7 +1117,7 @@ public class CryptoUtil {
 
         cm.importUserCACertPackage(cert.getEncoded(), nickname);
         if (trust)
-            trustCertByNickname(nickname);
+            CryptoUtil.trustCertByNickname(nickname);
     }
 
     public static java.security.cert.X509Certificate[] getX509CertificateFromPKCS7(byte[] b) throws IOException {
diff --git a/pki/base/util/src/com/netscape/cmsutil/crypto/Module.java b/pki/base/util/src/com/netscape/cmsutil/crypto/Module.java
index 9a4fa800d2ec4ae22a5eb2496063b2fe53dc60da..e7971ea78db4de825feb6f9990231729685fad00 100644
--- a/pki/base/util/src/com/netscape/cmsutil/crypto/Module.java
+++ b/pki/base/util/src/com/netscape/cmsutil/crypto/Module.java
@@ -17,9 +17,9 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.crypto;
 
-import org.mozilla.jss.crypto.*;
+import java.util.Vector;
 
-import java.util.*;
+import org.mozilla.jss.crypto.CryptoToken;
 
 public class Module {
     // Common Name is the name given when module is added
diff --git a/pki/base/util/src/com/netscape/cmsutil/crypto/Token.java b/pki/base/util/src/com/netscape/cmsutil/crypto/Token.java
index 8014726767488247621e496421ce93b591d5b5ff..f86e49bdcc5378d9ef7d84f8c882eb738122b918 100644
--- a/pki/base/util/src/com/netscape/cmsutil/crypto/Token.java
+++ b/pki/base/util/src/com/netscape/cmsutil/crypto/Token.java
@@ -17,9 +17,7 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.cmsutil.crypto;
 
-import java.util.*;
-import org.mozilla.jss.*;
-import org.mozilla.jss.crypto.*;
+import org.mozilla.jss.crypto.CryptoToken;
 
 public class Token {
     CryptoToken mToken;
diff --git a/pki/base/util/src/com/netscape/cmsutil/http/ConnectAsync.java b/pki/base/util/src/com/netscape/cmsutil/http/ConnectAsync.java
index 61d6d785f1eae6edda676cc33d8db05ae49f7a67..8922f38dd35f6b81dffc3f83b108e6c4476e1e46 100644
--- a/pki/base/util/src/com/netscape/cmsutil/http/ConnectAsync.java
+++ b/pki/base/util/src/com/netscape/cmsutil/http/ConnectAsync.java
@@ -18,15 +18,9 @@
 package com.netscape.cmsutil.http;
 
 
-import java.net.*;
-import java.io.*;
-import netscape.ldap.*;
-import org.mozilla.jss.ssl.*;
+import java.net.SocketException;
 
-import com.netscape.cmsutil.net.*;
-import org.mozilla.jss.CryptoManager;
-import org.mozilla.jss.crypto.X509Certificate;
-import org.mozilla.jss.crypto.X509Certificate;
+import com.netscape.cmsutil.net.ISocketFactory;
 
 
 public class ConnectAsync extends Thread {
